gtksourceviewmm: Gsv::CompletionInfo Class Reference

gtksourceviewmm 3.17.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gsv::CompletionInfo Class Reference

Calltips object. More...

`#include <gtksourceviewmm/completioninfo.h>`

Inheritance diagram for Gsv::CompletionInfo:
[legend]

## Public Member Functions
virtual | ~CompletionInfo ()
GtkSourceCompletionInfo* | gobj ()
| Provides access to the underlying C GtkObject. More...
const GtkSourceCompletionInfo* | gobj () const
| Provides access to the underlying C GtkObject. More...
| CompletionInfo ()
| Creates new CompletionInfo popup window. More...
void | move_to_iter (const Gtk::TextView& view, const Gtk::TextIter& iter)
| Moves the CompletionInfo to iter. More...
void | move_to_iter (const Gtk::TextView& view)
| Moves the Gtk::CompletionInfo to the cursor position. More...
void | set_widget (Gtk::Widget& widget)
| Sets the content widget of the info window. More...
Gtk::Widget* | get_widget ()
| Get the current content widget. More...
const Gtk::Widget* | get_widget () const
| Get the current content widget. More...
Glib::SignalProxy0< void > | signal_before_show ()
| Emited before any "show" management. More...
Public Member Functions inherited from Gtk::Window
virtual | ~Window ()
GtkWindow * | gobj ()
const GtkWindow * | gobj () const
| Window (WindowType type=WINDOW_TOPLEVEL)
Glib::PropertyProxy_ReadOnly< WindowType > | property_type () const
Glib::PropertyProxy< Glib::ustring > | property_title ()
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_title () const
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_startup_id ()
Glib::PropertyProxy< bool > | property_resizable ()
Glib::PropertyProxy_ReadOnly< bool > | property_resizable () const
Glib::PropertyProxy< bool > | property_modal ()
Glib::PropertyProxy_ReadOnly< bool > | property_modal () const
Glib::PropertyProxy< WindowPosition > | property_window_position ()
Glib::PropertyProxy_ReadOnly< WindowPosition > | property_window_position () const
Glib::PropertyProxy< int > | property_default_width ()
Glib::PropertyProxy_ReadOnly< int > | property_default_width () const
Glib::PropertyProxy< int > | property_default_height ()
Glib::PropertyProxy_ReadOnly< int > | property_default_height () const
Glib::PropertyProxy< bool > | property_destroy_with_parent ()
Glib::PropertyProxy_ReadOnly< bool > | property_destroy_with_parent () const
Glib::PropertyProxy< bool > | property_hide_titlebar_when_maximized ()
Glib::PropertyProxy_ReadOnly< bool > | property_hide_titlebar_when_maximized () const
Glib::PropertyProxy< Glib::RefPtr< Gdk::Pixbuf > > | property_icon ()
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Pixbuf > > | property_icon () const
Glib::PropertyProxy< bool > | property_mnemonics_visible ()
Glib::PropertyProxy_ReadOnly< bool > | property_mnemonics_visible () const
Glib::PropertyProxy< Glib::ustring > | property_icon_name ()
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_icon_name () const
Glib::PropertyProxy< Glib::RefPtr< Gdk::Screen > > | property_screen ()
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Screen > > | property_screen () const
Glib::PropertyProxy_ReadOnly< bool > | property_is_active () const
Glib::PropertyProxy_ReadOnly< bool > | property_has_toplevel_focus () const
Glib::PropertyProxy< GdkWindowTypeHint > | property_type_hint ()
Glib::PropertyProxy_ReadOnly< GdkWindowTypeHint > | property_type_hint () const
Glib::PropertyProxy< bool > | property_skip_taskbar_hint ()
Glib::PropertyProxy_ReadOnly< bool > | property_skip_taskbar_hint () const
Glib::PropertyProxy< bool > | property_skip_pager_hint ()
Glib::PropertyProxy_ReadOnly< bool > | property_skip_pager_hint () const
Glib::PropertyProxy< Glib::ustring > | property_role ()
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_role () const
Glib::PropertyProxy< bool > | property_decorated ()
Glib::PropertyProxy_ReadOnly< bool > | property_decorated () const
Glib::PropertyProxy< Gdk::Gravity > | property_gravity ()
Glib::PropertyProxy_ReadOnly< Gdk::Gravity > | property_gravity () const
Glib::PropertyProxy< Window * > | property_transient_for ()
Glib::PropertyProxy_ReadOnly< Window * > | property_transient_for () const
Glib::PropertyProxy< double > | property_opacity ()
Glib::PropertyProxy_ReadOnly< double > | property_opacity () const
Glib::PropertyProxy< bool > | property_has_resize_grip ()
Glib::PropertyProxy_ReadOnly< bool > | property_has_resize_grip () const
Glib::PropertyProxy_ReadOnly< bool > | property_resize_grip_visible () const
Glib::PropertyProxy< bool > | property_urgency_hint ()
Glib::PropertyProxy_ReadOnly< bool > | property_urgency_hint () const
Glib::PropertyProxy< bool > | property_accept_focus ()
Glib::PropertyProxy_ReadOnly< bool > | property_accept_focus () const
Glib::PropertyProxy< bool > | property_focus_on_map ()
Glib::PropertyProxy_ReadOnly< bool > | property_focus_on_map () const
Glib::PropertyProxy< bool > | property_deletable ()
Glib::PropertyProxy_ReadOnly< bool > | property_deletable () const
Glib::PropertyProxy< Glib::RefPtr< Application > > | property_application ()
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Application > > | property_application () const
Glib::PropertyProxy< bool > | property_focus_visible ()
Glib::PropertyProxy_ReadOnly< bool > | property_focus_visible () const
Glib::PropertyProxy< Widget * > | property_attached_to ()
Glib::PropertyProxy_ReadOnly< Widget * > | property_attached_to () const
Glib::PropertyProxy_ReadOnly< bool > | property_is_maximized () const
Glib::SignalProxy1< void, Widget * > | signal_set_focus ()
Glib::SignalProxy0< void > | signal_keys_changed ()
void | set_title (const Glib::ustring &title)
Glib::ustring | get_title () const
void | set_wmclass (const Glib::ustring &wmclass_name, const Glib::ustring &wmclass_class)
void | set_role (const Glib::ustring &role)
void | set_startup_id (const Glib::ustring &startup_id)
Glib::ustring | get_role () const
void | add_accel_group (const Glib::RefPtr< AccelGroup > &accel_group)
void | remove_accel_group (const Glib::RefPtr< AccelGroup > &accel_group)
void | set_position (WindowPosition position)
bool | activate_focus ()
void | set_focus (Gtk::Widget &focus)
void | unset_focus ()
Widget * | get_focus ()
const Widget * | get_focus () const
void | set_default (Gtk::Widget &default_widget)
void | unset_default ()
Widget * | get_default_widget ()
const Widget * | get_default_widget () const
bool | activate_default ()
void | set_transient_for (Window &parent)
void | unset_transient_for ()
Window * | get_transient_for ()
const Window * | get_transient_for () const
void | unset_attached_to ()
void | set_attached_to (Widget &attach_widget)
Widget * | get_attached_to ()
const Widget * | get_attached_to () const
void | set_opacity (double opacity)
double | get_opacity () const
void | set_type_hint (Gdk::WindowTypeHint hint)
Gdk::WindowTypeHint | get_type_hint () const
void | set_skip_taskbar_hint (bool setting=true)
bool | get_skip_taskbar_hint () const
void | set_skip_pager_hint (bool setting=true)
bool | get_skip_pager_hint () const
void | set_urgency_hint (bool setting=true)
bool | get_urgency_hint () const
void | set_accept_focus (bool setting=true)
bool | get_accept_focus () const
void | set_focus_on_map (bool setting=true)
bool | get_focus_on_map () const
bool | get_destroy_with_parent () const
void | set_hide_titlebar_when_maximized (bool setting=true)
bool | get_hide_titlebar_when_maximized () const
void | set_mnemonics_visible (bool setting=true)
bool | get_mnemonics_visible () const
void | set_focus_visible (bool setting=true)
bool | get_focus_visible () const
void | set_resizable (bool resizable=true)
bool | get_resizable () const
void | set_gravity (Gdk::Gravity gravity)
Gdk::Gravity | get_gravity () const
void | set_geometry_hints (Widget &geometry_widget, const Gdk::Geometry &geometry, Gdk::WindowHints geom_mask)
void | set_screen (const Glib::RefPtr< Gdk::Screen > &screen)
Glib::RefPtr< Gdk::Screen > | get_screen ()
Glib::RefPtr< const Gdk::Screen > | get_screen () const
bool | is_active () const
bool | has_toplevel_focus () const
void | set_decorated (bool setting=true)
bool | get_decorated () const
void | set_deletable (bool setting=true)
bool | get_deletable () const
std::vector< Glib::RefPtr< Gdk::Pixbuf > > | get_icon_list ()
std::vector< Glib::RefPtr< const Gdk::Pixbuf > > | get_icon_list () const
void | set_icon_list (const std::vector< Glib::RefPtr< Gdk::Pixbuf > > &list)
void | set_icon (const Glib::RefPtr< Gdk::Pixbuf > &icon)
void | set_icon_name (const Glib::ustring &name)
bool | set_icon_from_file (const std::string &filename)
Glib::RefPtr< Gdk::Pixbuf > | get_icon ()
Glib::RefPtr< const Gdk::Pixbuf > | get_icon () const
Glib::ustring | get_icon_name () const
void | set_modal (bool modal=true)
bool | get_modal () const
void | add_mnemonic (guint keyval, Widget &target)
void | remove_mnemonic (guint keyval, Widget &target)
bool | mnemonic_activate (guint keyval, Gdk::ModifierType modifier)
void | set_mnemonic_modifier (Gdk::ModifierType modifier)
Gdk::ModifierType | get_mnemonic_modifier ()
void | present ()
void | present (guint32 timestamp)
void | iconify ()
void | deiconify ()
void | stick ()
void | unstick ()
void | maximize ()
void | unmaximize ()
void | fullscreen ()
void | unfullscreen ()
void | close ()
void | begin_resize_drag (Gdk::WindowEdge edge, int button, int root_x, int root_y, guint32 timestamp)
void | begin_move_drag (int button, int root_x, int root_y, guint32 timestamp)
void | set_default_size (int width, int height)
void | get_default_size (int &width, int &height) const
void | resize (int width, int height)
void | get_size (int &width, int &height) const
void | move (int x, int y)
void | get_position (int &root_x, int &root_y) const
bool | parse_geometry (const Glib::ustring &geometry)
void | set_default_geometry (int width, int height)
void | resize_to_geometry (int width, int height)
Glib::RefPtr< WindowGroup > | get_group ()
Glib::RefPtr< const WindowGroup > | get_group () const
bool | has_group () const
WindowType | get_window_type () const
void | reshow_with_initial_size ()
Glib::RefPtr< Application > | get_application ()
Glib::RefPtr< const Application > | get_application () const
void | set_application (const Glib::RefPtr< Application > &application)
void | unset_application ()
void | set_has_resize_grip (bool value=true)
bool | get_has_resize_grip () const
bool | get_resize_grip_is_visible () const
bool | get_resize_grip_area (Gdk::Rectangle &rect) const
void | set_keep_above (bool setting=true)
void | set_keep_below (bool setting=true)
void | set_titlebar (Widget &titlebar)
bool | is_maximized () const
Glib::RefPtr< AccelGroup > | get_accel_group ()
virtual void | raise ()
virtual void | set_manage ()
Gtk::Window * | wrap (GtkWindow *object, bool take_copy=false)
Public Member Functions inherited from Gtk::Bin
virtual | ~Bin ()
GtkBin * | gobj ()
const GtkBin * | gobj () const
Gtk::Widget * | get_child ()
const Gtk::Widget * | get_child () const
void | remove ()
void | add_label (const Glib::ustring &label, bool mnemonic=false, double x_align=0.5, double y_align=0.5)
void | add_label (const Glib::ustring &label, bool mnemonic, Align x_align, Align y_align=ALIGN_CENTER)
void | add_pixlabel (const std::string &pixfile, const Glib::ustring &label, double x_align=0.5, double y_align=0.5)
void | add_pixlabel (const std::string &pixfile, const Glib::ustring &label, Align x_align, Align y_align=ALIGN_CENTER)
Gtk::Bin * | wrap (GtkBin *object, bool take_copy=false)
Public Member Functions inherited from Gtk::Container
virtual | ~Container ()
GtkContainer * | gobj ()
const GtkContainer * | gobj () const
void | set_border_width (guint border_width)
guint | get_border_width () const
virtual void | add (Widget &widget)
void | remove (Widget &widget)
void | set_resize_mode (ResizeMode resize_mode)
ResizeMode | get_resize_mode () const
void | check_resize ()
void | foreach (const ForeachSlot &slot)
void | forall (const ForeachSlot &slot)
std::vector< Widget * > | get_children ()
std::vector< const Widget * > | get_children () const
void | propagate_draw (Widget &child, const ::Cairo::RefPtr< ::Cairo::Context > &cr)
void | set_focus_chain (const std::vector< Widget * > &focusable_widgets)
bool | has_focus_chain () const
std::vector< Widget * > | get_focus_chain ()
std::vector< const Widget * > | get_focus_chain () const
void | unset_focus_chain ()
void | set_reallocate_redraws (bool needs_redraws=true)
void | set_focus_child (Widget &widget)
Widget * | get_focus_child ()
const Widget * | get_focus_child () const
void | set_focus_vadjustment (const Glib::RefPtr< Adjustment > &adjustment)
Glib::RefPtr< Adjustment > | get_focus_vadjustment ()
Glib::RefPtr< const Adjustment > | get_focus_vadjustment () const
void | set_focus_hadjustment (const Glib::RefPtr< Adjustment > &adjustment)
Glib::RefPtr< Adjustment > | get_focus_hadjustment ()
Glib::RefPtr< const Adjustment > | get_focus_hadjustment () const
void | resize_children ()
GType | child_type () const
WidgetPath | get_path_for_child (const Widget &child) const
Glib::SignalProxy1< void, Widget * > | signal_add ()
Glib::SignalProxy1< void, Widget * > | signal_remove ()
Glib::SignalProxy0< void > | signal_check_resize ()
Glib::SignalProxy1< void, Widget * > | signal_set_focus_child ()
void | show_all_children (bool recursive=true)
Gtk::Container * | wrap (GtkContainer *object, bool take_copy=false)
Public Member Functions inherited from Gtk::Widget
virtual | ~Widget ()
GtkWidget * | gobj ()
const GtkWidget * | gobj () const
void | show ()
void | show_now ()
void | hide ()
void | show_all ()
void | queue_draw ()
void | queue_draw_area (int x, int y, int width, int height)
void | queue_draw_region (const ::Cairo::RefPtr< const ::Cairo::Region > &region)
void | queue_resize ()
void | size_allocate (const Allocation &allocation)
void | size_allocate (const Allocation &allocation, int baseline)
SizeRequestMode | get_request_mode () const
void | get_preferred_width (int &minimum_width, int &natural_width) const
void | get_preferred_height_for_width (int width, int &minimum_height, int &natural_height) const
void | get_preferred_height_for_width (int width, int &minimum_height, int &natural_height, int &minimum_baseline, int &natural_baseline) const
void | get_preferred_height (int &minimum_height, int &natural_height) const
void | get_preferred_width_for_height (int height, int &minimum_width, int &natural_width) const
void | get_preferred_size (Requisition &minimum_size, Requisition &natural_size) const
void | add_accelerator (const Glib::ustring &accel_signal, const Glib::RefPtr< AccelGroup > &accel_group, guint accel_key, Gdk::ModifierType accel_mods, AccelFlags accel_flags)
bool | remove_accelerator (const Glib::RefPtr< AccelGroup > &accel_group, guint accel_key, Gdk::ModifierType accel_mods)
void | set_accel_path (const Glib::ustring &accel_path, const Glib::RefPtr< AccelGroup > &accel_group)
bool | mnemonic_activate (bool group_cycling)
bool | event (GdkEvent *event)
int | send_expose (GdkEvent *event)
bool | send_focus_change (GdkEvent *event)
bool | activate ()
void | reparent (Widget &new_parent)
bool | intersect (const Gdk::Rectangle &area) const
bool | intersect (const Gdk::Rectangle &area, Gdk::Rectangle &intersection) const
::Cairo::RefPtr< ::Cairo::Region > | region_intersect (const ::Cairo::RefPtr< ::Cairo::Region > &region) const
void | freeze_child_notify ()
void | child_notify (const Glib::ustring &child_property)
void | thaw_child_notify ()
void | set_can_focus (bool can_focus=true)
bool | get_can_focus () const
bool | has_focus () const
bool | is_focus () const
bool | has_visible_focus () const
void | grab_focus ()
void | set_can_default (bool can_default=true)
bool | get_can_default () const
bool | has_default () const
void | grab_default ()
void | set_receives_default (bool receives_default=true)
bool | get_receives_default () const
bool | has_grab () const
bool | device_is_shadowed (const Glib::RefPtr< const Gdk::Device > &device)
void | add_modal_grab ()
void | remove_modal_grab ()
void | set_name (const Glib::ustring &name)
void | unset_name ()
Glib::ustring | get_name () const
void | set_state (StateType state)
StateType | get_state () const
void | set_state_flags (StateFlags flags, bool clear=true)
void | unset_state_flags (StateFlags flags)
StateFlags | get_state_flags () const
void | set_sensitive (bool sensitive=true)
bool | get_sensitive () const
bool | is_sensitive () const
void | set_visible (bool visible=true)
bool | get_visible () const
bool | is_visible () const
bool | get_has_window () const
bool | get_is_toplevel () const
bool | get_is_drawable () const
bool | get_realized () const
bool | get_mapped () const
void | set_app_paintable (bool app_paintable=true)
bool | get_app_paintable () const
void | set_double_buffered (bool double_buffered=true)
bool | get_double_buffered () const
void | set_redraw_on_allocate (bool redraw_on_allocate=true)
void | set_child_visible (bool is_visible=true)
bool | get_child_visible () const
Glib::RefPtr< Gdk::Window > | get_window ()
Glib::RefPtr< const Gdk::Window > | get_window () const
void | register_window (const Glib::RefPtr< Gdk::Window > &window)
void | unregister_window (const Glib::RefPtr< Gdk::Window > &window)
int | get_allocated_width () const
int | get_allocated_height () const
int | get_allocated_baseline () const
Allocation | get_allocation () const
void | set_allocation (const Allocation &allocation)
void | set_clip (const Allocation &clip)
Allocation | get_clip () const
Container * | get_parent ()
const Container * | get_parent () const
Glib::RefPtr< Gdk::Window > | get_parent_window ()
Glib::RefPtr< const Gdk::Window > | get_parent_window () const
void | set_parent_window (const Glib::RefPtr< const Gdk::Window > &parent_window)
bool | child_focus (DirectionType direction)
bool | keynav_failed (DirectionType direction)
void | error_bell ()
void | set_size_request (int width=-1, int height=-1)
void | get_size_request (int &width, int &height) const
void | set_events (Gdk::EventMask events)
void | add_events (Gdk::EventMask events)
void | set_device_events (const Glib::RefPtr< const Gdk::Device > &device, Gdk::EventMask events)
void | add_device_events (const Glib::RefPtr< const Gdk::Device > &device, Gdk::EventMask events)
void | set_opacity (double opacity)
double | get_opacity () const
void | set_device_enabled (const Glib::RefPtr< Gdk::Device > &device, bool enabled=true)
bool | get_device_enabled (const Glib::RefPtr< const Gdk::Device > &device) const
Container * | get_toplevel ()
const Container * | get_toplevel () const
Widget * | get_ancestor (GType widget_type)
const Widget * | get_ancestor (GType widget_type) const
Glib::RefPtr< Gdk::Visual > | get_visual ()
Glib::RefPtr< Gdk::Screen > | get_screen ()
Glib::RefPtr< const Gdk::Screen > | get_screen () const
bool | has_screen () const
int | get_scale_factor () const
Glib::RefPtr< Gdk::Display > | get_display ()
Glib::RefPtr< const Gdk::Display > | get_display () const
Glib::RefPtr< Gdk::Window > | get_root_window ()
Glib::RefPtr< const Gdk::Window > | get_root_window () const
Glib::RefPtr< Settings > | get_settings ()
Glib::RefPtr< Clipboard > | get_clipboard (const Glib::ustring &selection)
Glib::RefPtr< const Clipboard > | get_clipboard (const Glib::ustring &selection) const
bool | get_hexpand () const
void | set_hexpand (bool expand=true)
bool | get_hexpand_set () const
void | set_hexpand_set (bool set=true)
bool | get_vexpand () const
void | set_vexpand (bool expand=true)
bool | get_vexpand_set () const
void | set_vexpand_set (bool set=true)
void | queue_compute_expand ()
bool | compute_expand (Orientation orientation)
bool | get_support_multidevice () const
void | set_support_multidevice (bool support_multidevice=true)
Glib::RefPtr< Atk::Object > | get_accessible ()
Glib::RefPtr< const Atk::Object > | get_accessible () const
Align | get_halign () const
void | set_halign (Align align)
Align | get_valign () const
Align | get_valign_with_baseline () const
void | set_valign (Align align)
int | get_margin_left () const
void | set_margin_left (int margin)
int | get_margin_right () const
void | set_margin_right (int margin)
int | get_margin_start () const
void | set_margin_start (int margin)
int | get_margin_end () const
void | set_margin_end (int margin)
int | get_margin_top () const
void | set_margin_top (int margin)
int | get_margin_bottom () const
void | set_margin_bottom (int margin)
Gdk::EventMask | get_events () const
Gdk::EventMask | get_device_events (const Glib::RefPtr< const Gdk::Device > &device) const
void | get_pointer (int &x, int &y) const
bool | is_ancestor (Widget &ancestor) const
bool | translate_coordinates (Widget &dest_widget, int src_x, int src_y, int &dest_x, int &dest_y)
void | override_color (const Gdk::RGBA &color, StateFlags state=STATE_FLAG_NORMAL)
void | unset_color (StateFlags state=STATE_FLAG_NORMAL)
void | override_background_color (const Gdk::RGBA &color, StateFlags state=STATE_FLAG_NORMAL)
void | unset_background_color (StateFlags state=STATE_FLAG_NORMAL)
void | override_font (const Pango::FontDescription &font_desc)
void | unset_font ()
void | override_symbolic_color (const Glib::ustring &name, const Gdk::RGBA &color)
void | unset_symbolic_color (const Glib::ustring &name)
void | override_cursor (const Gdk::RGBA &cursor, const Gdk::RGBA &secondary_cursor)
void | unset_cursor ()
void | reset_style ()
void | get_style_property (const Glib::ustring &the_property_name, PropertyType &value) const
Glib::RefPtr< Pango::Context > | create_pango_context ()
Glib::RefPtr< Pango::Context > | get_pango_context ()
Glib::RefPtr< Pango::Layout > | create_pango_layout (const Glib::ustring &text)
Glib::RefPtr< Gdk::Pixbuf > | render_icon_pixbuf (const StockID &stock_id, IconSize size)
void | set_composite_name (const Glib::ustring &name)
void | unset_composite_name ()
Glib::ustring | get_composite_name () const
void | set_direction (TextDirection dir)
TextDirection | get_direction () const
void | shape_combine_region (const ::Cairo::RefPtr< const ::Cairo::Region > &region)
void | input_shape_combine_region (const ::Cairo::RefPtr< const ::Cairo::Region > &region)
WidgetPath | get_path () const
std::vector< Widget * > | list_mnemonic_labels ()
std::vector< const Widget * > | list_mnemonic_labels () const
void | add_mnemonic_label (Widget &label)
void | remove_mnemonic_label (Widget &label)
void | drag_get_data (const Glib::RefPtr< Gdk::DragContext > &context, const Glib::ustring &target, guint32 time)
void | drag_highlight ()
void | drag_unhighlight ()
void | drag_dest_set (DestDefaults flags=DestDefaults(0), Gdk::DragAction actions=Gdk::DragAction(0))
void | drag_dest_set (const std::vector< TargetEntry > &targets, DestDefaults flags=DEST_DEFAULT_ALL, Gdk::DragAction actions=Gdk::ACTION_COPY)
void | drag_dest_set_proxy (const Glib::RefPtr< Gdk::Window > &proxy_window, Gdk::DragProtocol protocol, bool use_coordinates)
void | drag_dest_unset ()
Glib::ustring | drag_dest_find_target (const Glib::RefPtr< Gdk::DragContext > &context, const Glib::RefPtr< TargetList > &target_list) const
Glib::ustring | drag_dest_find_target (const Glib::RefPtr< Gdk::DragContext > &context) const
Glib::RefPtr< TargetList > | drag_dest_get_target_list ()
Glib::RefPtr< const TargetList > | drag_dest_get_target_list () const
void | drag_dest_set_target_list (const Glib::RefPtr< TargetList > &target_list)
void | drag_dest_add_text_targets ()
void | drag_dest_add_image_targets ()
void | drag_dest_add_uri_targets ()
void | drag_source_set (const std::vector< TargetEntry > &targets, Gdk::ModifierType start_button_mask=Gdk::MODIFIER_MASK, Gdk::DragAction actions=Gdk::ACTION_COPY)
void | drag_source_unset ()
void | drag_source_set_icon (const Glib::RefPtr< Gdk::Pixbuf > &pixbuf)
void | drag_source_set_icon (const StockID &stock_id)
void | drag_source_set_icon (const Glib::ustring &icon_name)
void | drag_source_add_text_targets ()
void | drag_source_add_uri_targets ()
void | drag_source_add_image_targets ()
Glib::RefPtr< Gdk::DragContext > | drag_begin (const Glib::RefPtr< TargetList > &targets, Gdk::DragAction actions, int button, GdkEvent *event)
Glib::RefPtr< Gdk::DragContext > | drag_begin (const Glib::RefPtr< TargetList > &targets, Gdk::DragAction actions, int button, GdkEvent *event, int x, int y)
bool | drag_check_threshold (int start_x, int start_y, int current_x, int current_y)
void | drag_set_as_icon (const Glib::RefPtr< Gdk::DragContext > &context, int hot_x, int hot_y)
void | queue_resize_no_redraw ()
bool | get_no_show_all () const
void | set_no_show_all (bool no_show_all=true)
void | set_parent (Widget &parent)
void | unparent ()
void | map ()
void | unmap ()
void | draw_insertion_cursor (const ::Cairo::RefPtr< ::Cairo::Context > &cr, const Gdk::Rectangle &location, bool is_primary, TextDirection direction, bool draw_arrow=true)
void | set_tooltip_window (Window &custom_window)
Window * | get_tooltip_window ()
void | trigger_tooltip_query ()
void | set_tooltip_text (const Glib::ustring &text)
Glib::ustring | get_tooltip_text () const
void | set_tooltip_markup (const Glib::ustring &markup)
Glib::ustring | get_tooltip_markup () const
void | set_has_tooltip (bool has_tooltip=TRUE)
bool | get_has_tooltip () const
int | get_width () const
int | get_height () const
bool | is_composited () const
bool | in_destruction () const
Glib::RefPtr< StyleContext > | get_style_context ()
Glib::RefPtr< Gtk::StyleContext > | get_style_context () const
Gdk::ModifierType | get_modifier_mask (Gdk::ModifierIntent intent)
void | insert_action_group (const Glib::ustring &name, const Glib::RefPtr< Gio::ActionGroup > &group)
void | remove_action_group (const Glib::ustring &name)
Glib::RefPtr< Gio::ActionGroup > | get_action_group (const Glib::ustring &prefix)
Glib::RefPtr< const Gio::ActionGroup > | get_action_group (const Glib::ustring &prefix) const
std::vector< Glib::ustring > | list_action_prefixes () const
Glib::SignalProxy0< void > | signal_show ()
Glib::SignalProxy0< void > | signal_hide ()
Glib::SignalProxy0< void > | signal_map ()
Glib::SignalProxy0< void > | signal_unmap ()
Glib::SignalProxy0< void > | signal_realize ()
Glib::SignalProxy0< void > | signal_unrealize ()
Glib::SignalProxy1< void, Allocation & > | signal_size_allocate ()
Glib::SignalProxy1< void, Gtk::StateType > | signal_state_changed ()
Glib::SignalProxy1< void, Gtk::StateFlags > | signal_state_flags_changed ()
Glib::SignalProxy1< void, Widget * > | signal_parent_changed ()
Glib::SignalProxy1< void, Widget * > | signal_hierarchy_changed ()
Glib::SignalProxy0< void > | signal_style_updated ()
Glib::SignalProxy1< void, TextDirection > | signal_direction_changed ()
Glib::SignalProxy1< void, bool > | signal_grab_notify ()
Glib::SignalProxy1< void, GParamSpec * > | signal_child_notify ()
Glib::SignalProxy1< bool, bool > | signal_mnemonic_activate ()
Glib::SignalProxy0< void > | signal_grab_focus ()
Glib::SignalProxy1< bool, DirectionType > | signal_focus ()
Glib::SignalProxy1< bool, GdkEvent * > | signal_event ()
Glib::SignalProxy1< void, GdkEvent * > | signal_event_after ()
Glib::SignalProxy1< bool, GdkEventButton * > | signal_button_press_event ()
Glib::SignalProxy1< bool, GdkEventButton * > | signal_button_release_event ()
Glib::SignalProxy1< bool, GdkEventScroll * > | signal_scroll_event ()
Glib::SignalProxy1< bool, GdkEventMotion * > | signal_motion_notify_event ()
Glib::SignalProxy1< bool, GdkEventAny * > | signal_delete_event ()
Glib::SignalProxy1< bool, const ::Cairo::RefPtr< ::Cairo::Context > & > | signal_draw ()
Glib::SignalProxy1< bool, GdkEventKey * > | signal_key_press_event ()
Glib::SignalProxy1< bool, GdkEventKey * > | signal_key_release_event ()
Glib::SignalProxy1< bool, GdkEventCrossing * > | signal_enter_notify_event ()
Glib::SignalProxy1< bool, GdkEventCrossing * > | signal_leave_notify_event ()
Glib::SignalProxy1< bool, GdkEventConfigure * > | signal_configure_event ()
Glib::SignalProxy1< bool, GdkEventFocus * > | signal_focus_in_event ()
Glib::SignalProxy1< bool, GdkEventFocus * > | signal_focus_out_event ()
Glib::SignalProxy1< bool, GdkEventAny * > | signal_map_event ()
Glib::SignalProxy1< bool, GdkEventAny * > | signal_unmap_event ()
Glib::SignalProxy1< bool, GdkEventProperty * > | signal_property_notify_event ()
Glib::SignalProxy1< bool, GdkEventSelection * > | signal_selection_clear_event ()
Glib::SignalProxy1< bool, GdkEventSelection * > | signal_selection_request_event ()
Glib::SignalProxy1< bool, GdkEventSelection * > | signal_selection_notify_event ()
Glib::SignalProxy1< bool, GdkEventProximity * > | signal_proximity_in_event ()
Glib::SignalProxy1< bool, GdkEventProximity * > | signal_proximity_out_event ()
Glib::SignalProxy1< bool, GdkEventVisibility * > | signal_visibility_notify_event ()
Glib::SignalProxy1< bool, GdkEventWindowState * > | signal_window_state_event ()
Glib::SignalProxy3< void, SelectionData &, guint, guint > | signal_selection_get ()
Glib::SignalProxy2< void, const SelectionData &, guint > | signal_selection_received ()
Glib::SignalProxy1< void, const Glib::RefPtr< Gdk::DragContext > & > | signal_drag_begin ()
Glib::SignalProxy1< void, const Glib::RefPtr< Gdk::DragContext > & > | signal_drag_end ()
Glib::SignalProxy4< void, const Glib::RefPtr< Gdk::DragContext > &, SelectionData &, guint, guint > | signal_drag_data_get ()
Glib::SignalProxy1< void, const Glib::RefPtr< Gdk::DragContext > & > | signal_drag_data_delete ()
Glib::SignalProxy2< bool, const Glib::RefPtr< Gdk::DragContext > &, DragResult > | signal_drag_failed ()
Glib::SignalProxy2< void, const Glib::RefPtr< Gdk::DragContext > &, guint > | signal_drag_leave ()
Glib::SignalProxy4< bool, const Glib::RefPtr< Gdk::DragContext > &, int, int, guint > | signal_drag_motion ()
Glib::SignalProxy4< bool, const Glib::RefPtr< Gdk::DragContext > &, int, int, guint > | signal_drag_drop ()
Glib::SignalProxy6< void, const Glib::RefPtr< Gdk::DragContext > &, int, int, const SelectionData &, guint, guint > | signal_drag_data_received ()
Glib::SignalProxy1< void, const Glib::RefPtr< Gdk::Screen > & > | signal_screen_changed ()
Glib::SignalProxy0< void > | signal_composited_changed ()
Glib::SignalProxy0< bool > | signal_popup_menu ()
Glib::SignalProxy4< bool, int, int, bool, const Glib::RefPtr< Tooltip > & > | signal_query_tooltip ()
Glib::SignalProxy1< bool, GdkEventGrabBroken * > | signal_grab_broken_event ()
Glib::SignalProxy1< bool, GdkEventExpose * > | signal_damage_event ()
Glib::SignalProxy1< bool, GdkEventTouch * > | signal_touch_event ()
Glib::PropertyProxy< Glib::ustring > | property_name ()
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_name () const
Glib::PropertyProxy< Container * > | property_parent ()
Glib::PropertyProxy_ReadOnly< Container * > | property_parent () const
Glib::PropertyProxy< int > | property_width_request ()
Glib::PropertyProxy_ReadOnly< int > | property_width_request () const
Glib::PropertyProxy< int > | property_height_request ()
Glib::PropertyProxy_ReadOnly< int > | property_height_request () const
Glib::PropertyProxy< bool > | property_visible ()
Glib::PropertyProxy_ReadOnly< bool > | property_visible () const
Glib::PropertyProxy< bool > | property_sensitive ()
Glib::PropertyProxy_ReadOnly< bool > | property_sensitive () const
Glib::PropertyProxy< bool > | property_app_paintable ()
Glib::PropertyProxy_ReadOnly< bool > | property_app_paintable () const
Glib::PropertyProxy< bool > | property_can_focus ()
Glib::PropertyProxy_ReadOnly< bool > | property_can_focus () const
Glib::PropertyProxy< bool > | property_has_focus ()
Glib::PropertyProxy_ReadOnly< bool > | property_has_focus () const
Glib::PropertyProxy< bool > | property_is_focus ()
Glib::PropertyProxy_ReadOnly< bool > | property_is_focus () const
Glib::PropertyProxy< bool > | property_can_default ()
Glib::PropertyProxy_ReadOnly< bool > | property_can_default () const
Glib::PropertyProxy< bool > | property_has_default ()
Glib::PropertyProxy_ReadOnly< bool > | property_has_default () const
Glib::PropertyProxy< bool > | property_receives_default ()
Glib::PropertyProxy_ReadOnly< bool > | property_receives_default () const
Glib::PropertyProxy_ReadOnly< bool > | property_composite_child () const
Glib::PropertyProxy< Glib::RefPtr< Style > > | property_style ()
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Style > > | property_style () const
Glib::PropertyProxy< Gdk::EventMask > | property_events ()
Glib::PropertyProxy_ReadOnly< Gdk::EventMask > | property_events () const
Glib::PropertyProxy< bool > | property_has_tooltip ()
Glib::PropertyProxy_ReadOnly< bool > | property_has_tooltip () const
Glib::PropertyProxy< Glib::ustring > | property_tooltip_markup ()
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_markup () const
Glib::PropertyProxy< Glib::ustring > | property_tooltip_text ()
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_text () const
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Window > > | property_window () const
Glib::PropertyProxy< bool > | property_no_show_all ()
Glib::PropertyProxy_ReadOnly< bool > | property_no_show_all () const
Glib::PropertyProxy< bool > | property_double_buffered ()
Glib::PropertyProxy_ReadOnly< bool > | property_double_buffered () const
Glib::PropertyProxy< Align > | property_halign ()
Glib::PropertyProxy_ReadOnly< Align > | property_halign () const
Glib::PropertyProxy< Align > | property_valign ()
Glib::PropertyProxy_ReadOnly< Align > | property_valign () const
Glib::PropertyProxy< int > | property_margin_left ()
Glib::PropertyProxy_ReadOnly< int > | property_margin_left () const
Glib::PropertyProxy< int > | property_margin_right ()
Glib::PropertyProxy_ReadOnly< int > | property_margin_right () const
Glib::PropertyProxy< int > | property_margin_start ()
Glib::PropertyProxy_ReadOnly< int > | property_margin_start () const
Glib::PropertyProxy< int > | property_margin_end ()
Glib::PropertyProxy_ReadOnly< int > | property_margin_end () const
Glib::PropertyProxy< int > | property_margin_top ()
Glib::PropertyProxy_ReadOnly< int > | property_margin_top () const
Glib::PropertyProxy< int > | property_margin_bottom ()
Glib::PropertyProxy_ReadOnly< int > | property_margin_bottom () const
Glib::PropertyProxy< int > | property_margin ()
Glib::PropertyProxy_ReadOnly< int > | property_margin () const
Glib::PropertyProxy< bool > | property_hexpand ()
Glib::PropertyProxy_ReadOnly< bool > | property_hexpand () const
Glib::PropertyProxy< bool > | property_hexpand_set ()
Glib::PropertyProxy_ReadOnly< bool > | property_hexpand_set () const
Glib::PropertyProxy< bool > | property_vexpand ()
Glib::PropertyProxy_ReadOnly< bool > | property_vexpand () const
Glib::PropertyProxy< bool > | property_vexpand_set ()
Glib::PropertyProxy_ReadOnly< bool > | property_vexpand_set () const
Glib::PropertyProxy< bool > | property_expand ()
Glib::PropertyProxy_ReadOnly< bool > | property_expand () const
Glib::PropertyProxy< double > | property_opacity ()
Glib::PropertyProxy_ReadOnly< double > | property_opacity () const
Glib::PropertyProxy_ReadOnly< int > | property_scale_factor () const
Gtk::Widget * | wrap (GtkWidget *object, bool take_copy=false)
Public Member Functions inherited from Gtk::Object
virtual | ~Object ()
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Glib::Object
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable ()
| trackable (const trackable &src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
void | remove_destroy_notify_callback (void *data) const
Public Member Functions inherited from Gtk::Buildable
virtual | ~Buildable ()
GtkBuildable * | gobj ()
const GtkBuildable * | gobj () const
void | set_name (const Glib::ustring &name)
Glib::ustring | get_name () const
Glib::RefPtr< Gtk::Buildable > | wrap (GtkBuildable *object, bool take_copy=false)
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
virtual | ~Interface ()
GObject * | gobj ()
const GObject * | gobj () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gtk::Window
static GType | get_type ()
static void | set_default_icon_list (const std::vector< Glib::RefPtr< Gdk::Pixbuf > > &list)
static std::vector< Glib::RefPtr< Gdk::Pixbuf > > | get_default_icon_list ()
static void | set_default_icon (const Glib::RefPtr< Gdk::Pixbuf > &icon)
static void | set_default_icon_name (const Glib::ustring &name)
static bool | set_default_icon_from_file (const std::string &filename)
static void | set_auto_startup_notification (bool setting=true)
static std::vector< Window * > | list_toplevels ()
Static Public Member Functions inherited from Gtk::Bin
static GType | get_type ()
Static Public Member Functions inherited from Gtk::Container
static GType | get_type ()
Static Public Member Functions inherited from Gtk::Widget
static GType | get_type ()
static Widget * | get_current_modal_grab ()
static void | push_composite_child ()
static void | pop_composite_child ()
static void | set_default_direction (TextDirection dir)
static TextDirection | get_default_direction ()
static Widget * | drag_get_source_widget (const Glib::RefPtr< Gdk::DragContext > &context)
Static Public Member Functions inherited from Gtk::Buildable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()

## Protected Member Functions
virtual void | on_before_show ()
| This is a default handler for the signal signal_before_show(). More...
Protected Member Functions inherited from Gtk::Window
virtual void | on_set_focus (Widget *focus)
void | destroy_ ()
Protected Member Functions inherited from Gtk::Bin
| Bin ()
Protected Member Functions inherited from Gtk::Container
virtual void | on_add (Widget *widget)
virtual void | on_remove (Widget *widget)
virtual void | on_check_resize ()
virtual void | on_set_focus_child (Widget *widget)
| Container ()
virtual GType | child_type_vfunc () const
virtual void | forall_vfunc (gboolean include_internals, GtkCallback callback, gpointer callback_data)
virtual char * | composite_name_vfunc (GtkWidget *child)
virtual void | set_child_property_vfunc (GtkWidget *child, guint property_id, const GValue *value, GParamSpec *pspec)
virtual void | get_child_property_vfunc (GtkWidget *child, guint property_id, GValue *value, GParamSpec *pspec) const
Glib::PropertyProxy< guint > | property_border_width ()
Glib::PropertyProxy_ReadOnly< guint > | property_border_width () const
Glib::PropertyProxy< ResizeMode > | property_resize_mode ()
Glib::PropertyProxy_ReadOnly< ResizeMode > | property_resize_mode () const
Glib::PropertyProxy_WriteOnly< Widget * > | property_child ()
Protected Member Functions inherited from Gtk::Widget
virtual void | on_show ()
virtual void | on_hide ()
virtual void | on_map ()
virtual void | on_unmap ()
virtual void | on_realize ()
virtual void | on_unrealize ()
virtual void | on_size_allocate (Allocation &allocation)
virtual void | on_state_changed (Gtk::StateType previous_state)
virtual void | on_parent_changed (Widget *previous_parent)
virtual void | on_hierarchy_changed (Widget *previous_toplevel)
virtual void | on_style_updated ()
virtual void | on_direction_changed (TextDirection direction)
virtual void | on_grab_notify (bool was_grabbed)
virtual void | on_child_notify (GParamSpec *pspec)
virtual bool | on_mnemonic_activate (bool group_cycling)
virtual void | on_grab_focus ()
virtual bool | on_focus (DirectionType direction)
virtual bool | on_event (GdkEvent *event)
virtual bool | on_button_press_event (GdkEventButton *event)
virtual bool | on_button_release_event (GdkEventButton *event)
virtual bool | on_scroll_event (GdkEventScroll *event)
virtual bool | on_motion_notify_event (GdkEventMotion *event)
virtual bool | on_delete_event (GdkEventAny *event)
virtual bool | on_draw (const ::Cairo::RefPtr< ::Cairo::Context > &cr)
virtual bool | on_key_press_event (GdkEventKey *event)
virtual bool | on_key_release_event (GdkEventKey *event)
virtual bool | on_enter_notify_event (GdkEventCrossing *event)
virtual bool | on_leave_notify_event (GdkEventCrossing *event)
virtual bool | on_configure_event (GdkEventConfigure *event)
virtual bool | on_focus_in_event (GdkEventFocus *event)
virtual bool | on_focus_out_event (GdkEventFocus *event)
virtual bool | on_map_event (GdkEventAny *event)
virtual bool | on_unmap_event (GdkEventAny *event)
virtual bool | on_property_notify_event (GdkEventProperty *event)
virtual bool | on_selection_clear_event (GdkEventSelection *event)
virtual bool | on_selection_request_event (GdkEventSelection *event)
virtual bool | on_selection_notify_event (GdkEventSelection *event)
virtual bool | on_proximity_in_event (GdkEventProximity *event)
virtual bool | on_proximity_out_event (GdkEventProximity *event)
virtual bool | on_visibility_notify_event (GdkEventVisibility *event)
virtual bool | on_window_state_event (GdkEventWindowState *event)
virtual void | on_selection_get (SelectionData &selection_data, guint info, guint time)
virtual void | on_selection_received (const SelectionData &selection_data, guint time)
virtual void | on_drag_begin (const Glib::RefPtr< Gdk::DragContext > &context)
virtual void | on_drag_end (const Glib::RefPtr< Gdk::DragContext > &context)
virtual void | on_drag_data_get (const Glib::RefPtr< Gdk::DragContext > &context, SelectionData &selection_data, guint info, guint time)
virtual void | on_drag_data_delete (const Glib::RefPtr< Gdk::DragContext > &context)
virtual void | on_drag_leave (const Glib::RefPtr< Gdk::DragContext > &context, guint time)
virtual bool | on_drag_motion (const Glib::RefPtr< Gdk::DragContext > &context, int x, int y, guint time)
virtual bool | on_drag_drop (const Glib::RefPtr< Gdk::DragContext > &context, int x, int y, guint time)
virtual void | on_drag_data_received (const Glib::RefPtr< Gdk::DragContext > &context, int x, int y, const SelectionData &selection_data, guint info, guint time)
virtual void | on_screen_changed (const Glib::RefPtr< Gdk::Screen > &previous_screen)
virtual void | dispatch_child_properties_changed_vfunc (guint p1, GParamSpec **p2)
virtual void | show_all_vfunc ()
virtual Glib::RefPtr< Atk::Object > | get_accessible_vfunc ()
virtual SizeRequestMode | get_request_mode_vfunc () const
virtual void | get_preferred_width_vfunc (int &minimum_width, int &natural_width) const
virtual void | get_preferred_height_for_width_vfunc (int width, int &minimum_height, int &natural_height) const
virtual void | get_preferred_height_vfunc (int &minimum_height, int &natural_height) const
virtual void | get_preferred_width_for_height_vfunc (int height, int &minimum_width, int &natural_width) const
| Widget ()
void | realize ()
void | unrealize ()
void | draw (const ::Cairo::RefPtr< ::Cairo::Context > &cr)
void | set_mapped (bool mapped=true)
void | set_realized (bool realized=true)
void | set_has_window (bool has_window=true)
void | set_window (const Glib::RefPtr< Gdk::Window > &window)
void | transform_cairo_context_to_window (const ::Cairo::RefPtr< ::Cairo::Context > &cr, const Glib::RefPtr< const Gdk::Window > &window)
Requisition | get_requisition () const
void | get_style_property_value (const Glib::ustring &the_property_name, Glib::ValueBase &value) const
void | realize_if_needed ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
virtual | ~ObjectBase ()=0
void | initialize (GObject *castitem)
Protected Member Functions inherited from Gtk::Buildable
| Buildable ()

## Related Functions
(Note that these are not member functions.)
Gsv::CompletionInfo* | wrap (GtkSourceCompletionInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Gtk::Container
typedef sigc::slot< void, Widget & > | ForeachSlot
Public Types inherited from Glib::Object
typedef void(* | DestroyNotify) (gpointer data)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Static Protected Member Functions inherited from Gtk::Widget
static bool | should_draw_window (const ::Cairo::RefPtr< const ::Cairo::Context > &cr, const Glib::RefPtr< const Gdk::Window > &window)

## Detailed Description

Calltips object.

This object can be used to show a calltip or help for the current completion proposal.

Since gtksourceviewmm 2.10:

## Constructor & Destructor Documentation

virtual Gsv::CompletionInfo::~CompletionInfo | ( |  | ) |
| virtual

Gsv::CompletionInfo::CompletionInfo | ( |  | ) |

Creates new CompletionInfo popup window.

Returns
  The new CompletionInfo.

Since gtksourceviewmm 2.10:

## Member Function Documentation

static GType Gsv::CompletionInfo::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

Gtk::Widget* Gsv::CompletionInfo::get_widget | ( |  | ) |

Get the current content widget.

Deprecated:
  Use Gtk::Bin::get_child() instead.

Returns
  The current content widget.

const Gtk::Widget* Gsv::CompletionInfo::get_widget | ( |  | ) | const

Get the current content widget.

Deprecated:
  Use Gtk::Bin::get_child() instead.

Returns
  The current content widget.

GtkSourceCompletionInfo* Gsv::CompletionInfo::gobj | ( |  | ) |
| inline

Provides access to the underlying C GtkObject.

const GtkSourceCompletionInfo* Gsv::CompletionInfo::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GtkObject.

void Gsv::CompletionInfo::move_to_iter | ( | const Gtk::TextView & | view,
|  | const Gtk::TextIter & | iter
| ) |  |

Moves the CompletionInfo to iter.

Moving will respect the Gdk::Gravity setting of the info window and will ensure the line at iter is not occluded by the window.

Parameters

  view | A Gtk::TextView on which the info window should be positioned.
  iter | A Gtk::TextIter.

Since gtksourceviewmm 2.10:

void Gsv::CompletionInfo::move_to_iter | ( | const Gtk::TextView & | view | ) |

Moves the Gtk::CompletionInfo to the cursor position.

Moving will respect the Gdk::Gravity setting of the info window and will ensure the line at cursor position is not occluded by the window.

Parameters

  view | A Gtk::TextView on which the info window should be positioned.

Since gtksourceviewmm 2.10:

virtual void Gsv::CompletionInfo::on_before_show | ( |  | ) |
| protectedvirtual

This is a default handler for the signal signal_before_show().

void Gsv::CompletionInfo::set_widget | ( | Gtk::Widget & | widget | ) |

Sets the content widget of the info window.

If widget does not fit within the size requirements of the window, a Gtk::ScrolledWindow will automatically be created and added to the window.

Deprecated:
  Use Gtk::Container:add() instead. If there is already a child widget, remove it with Gtk::Container::remove().

Parameters

  widget | A Gtk::Widget.

Glib::SignalProxy0< void > Gsv::CompletionInfo::signal_before_show | ( |  | ) |

Emited before any "show" management.

You can connect to this signal if you want to change some properties or position before the real "show".

Since gtksourceviewmm 2.10:

Slot Prototype:
  `void on_my_before_show()`

## Friends And Related Function Documentation

Gsv::CompletionInfo* wrap | ( | GtkSourceCompletionInfo * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.